WorkOS

Integrate your application with the WorkOS API

🚀 Quickstart

Connect to WorkOS with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> WorkOS.

Authorize WorkOS

Go to Connections -> Add Test Connection -> Authorize, then enter your API key. Later, you'll let your users do the same directly from your app.

Call the WorkOS API

Let's make your first request to the WorkOS API (list connections). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/connections?limit=1" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 WorkOS Integration Guides

Nango-maintained guides for common use cases.

Official docs: WorkOS API Reference

🧩 Pre-built syncs & actions for WorkOS

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
create-connectionCreate a WorkOS SSO connection.Action🔗 Github
create-invitationCreate a WorkOS user invitation.Action🔗 Github
create-organization-domainCreate a WorkOS organization domain.Action🔗 Github
create-organization-membershipCreate a WorkOS organization membership.Action🔗 Github
create-organizationCreate an organization in WorkOS.Action🔗 Github
create-userCreate a user in WorkOS User Management.Action🔗 Github
deactivate-organization-membershipDeactivate a WorkOS organization membership.Action🔗 Github
delete-connectionDelete a WorkOS SSO connection.Action🔗 Github
delete-directoryDelete a WorkOS directory.Action🔗 Github
delete-organization-domainDelete a WorkOS organization domain.Action🔗 Github
delete-organization-membershipDelete a WorkOS organization membership.Action🔗 Github
delete-organizationPermanently delete a WorkOS organization.Action🔗 Github
delete-userPermanently delete a WorkOS user.Action🔗 Github
get-connectionGet a WorkOS SSO connection.Action🔗 Github
get-directory-groupGet a WorkOS directory group.Action🔗 Github
get-directory-userGet a WorkOS directory user.Action🔗 Github
get-directoryGet a WorkOS directory.Action🔗 Github
get-invitationGet a WorkOS user invitation.Action🔗 Github
get-organization-domainGet a WorkOS organization domain.Action🔗 Github
get-organization-membershipGet a WorkOS organization membership.Action🔗 Github
get-organizationRetrieve a WorkOS organization by ID.Action🔗 Github
get-userRetrieve a WorkOS user by ID.Action🔗 Github
list-connectionsList WorkOS SSO connections.Action🔗 Github
list-directoriesList WorkOS directories.Action🔗 Github
list-directory-groupsList directory groups from WorkOS Directory Sync.Action🔗 Github
list-directory-usersList directory users from WorkOS Directory Sync.Action🔗 Github
list-eventsList WorkOS events.Action🔗 Github
list-invitationsList WorkOS user invitations.Action🔗 Github
list-organization-membership-groupsList groups assigned to a WorkOS organization membership.Action🔗 Github
list-organization-membershipsList WorkOS organization memberships.Action🔗 Github
list-organizationsList organizations from WorkOS.Action🔗 Github
list-usersList users from WorkOS User Management.Action🔗 Github
reactivate-organization-membershipReactivate a WorkOS organization membership.Action🔗 Github
resend-invitationResend a WorkOS user invitation.Action🔗 Github
revoke-invitationRevoke a WorkOS user invitation.Action🔗 Github
update-connectionUpdate a WorkOS SSO connection.Action🔗 Github
update-organization-membershipUpdate roles for a WorkOS organization membership.Action🔗 Github
update-organizationUpdate a WorkOS organization.Action🔗 Github
update-userUpdate a WorkOS user.Action🔗 Github
verify-organization-domainVerify a WorkOS organization domain.Action🔗 Github

On this page